> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/digital-signature/digital-signature-validation.md).

# Digital Signature Validation on iOS

Validate signatures in signed documents by verifying signers using PTDigitalSignaturesViewController. Learn how to add a trusted certificate and validate digital signatures effectively. The Apryse iOS

You can validate signatures in signed documents by verifying signers using the `PTDigitalSignaturesViewController`.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-b93a77c03bc9e14debd091e2d5b3340a24c7ad38%2F874263f2de0111668ed09c3ef6bbf95e2862d310-1170x2532.png?alt=media)

## Adding a trusted certificate

Before you can verify signatures in \`PTDigitalSignaturesViewController\`, you will need to specify the path to your self-signed certificate via the \`PTToolManager\`'s \`digitalSignaturesManager\`: \`toolManager.digitalSignaturesManager.rootCertificateFilePath = \`

## Validating digital signatures

To verify your digital signatures, you can show the `DigitalSignatureListDialog` using the code below:

{% tabs %}
{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
-(void)showDigitalSignatureListWithToolManager:(PTToolManager*)toolManager
{
    // toolManager must have a reference to the root certificate as described above
    PTDigitalSignaturesViewController *digitalSignaturesViewController = [[PTDigitalSignaturesViewController allocOverridden] initWithToolManager:toolManager];
    UINavigationController *navigationController = [[UINavigationController alloc] initWithRootViewController:digitalSignaturesViewController];
    [self presentViewController:navigationController animated:YES completion:nil];
}
```

{% endcode %}
{% endtab %}

{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
func showDigitalSignatureList(with toolManager:PTToolManager)
{
    let digitalSignaturesViewController = PTDigitalSignaturesViewController(toolManager: toolManager)
    let navigationController = UINavigationController(rootViewController: digitalSignaturesViewController)
    documentController.present(navigationController, animated: true, completion: nil)
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
-(void)showDigitalSignatureListWithToolManager:(PTToolManager*)toolManager
{
    // toolManager must have a reference to the root certificate as described above
    PTDigitalSignaturesViewController *digitalSignaturesViewController = [[PTDigitalSignaturesViewController allocOverridden] initWithToolManager:toolManager];
    UINavigationController *navigationController = [[UINavigationController alloc] initWithRootViewController:digitalSignaturesViewController];
    [self presentViewController:navigationController animated:YES completion:nil];
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

In this list, you will be able to view digital signature information such as the signer's name, time of signing, signature validity, etc. Additionally you can tap on Signature Properties to view additional signature details.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-f37fb31f4bad936ae8ba22e124467e35366508fd%2F3504128fec7e7fa8630653470d86b972288616e7-1170x2532.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/digital-signature/digital-signature-validation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
